#ifndef WEBWATCH_WATCHAPP_H
#define WEBWATCH_WATCHAPP_H

// ***************************************************************************
// System Includes
// ***************************************************************************

#include <Application.h>

// ***************************************************************************
// Project Includes
// ***************************************************************************

// Standard type and constant definitions.
#include "StyleGuideDefs.h"

// ***************************************************************************
// External Name Declarations
// ***************************************************************************

// ***************************************************************************
// External Variable Declarations
// ***************************************************************************

// ***************************************************************************
// Constant Definitions
// ***************************************************************************

/** The MIME signature of our application. */
#define APP_SIGNATURE "application/x-vnd.WeirdExperiments.WebWatch"

// ***************************************************************************
// Type Definitions
// ***************************************************************************

// ***************************************************************************
// Class Definition
// ***************************************************************************

/** 
 * The WatchApp class installs the WebWatch replicant into the Deskbar.
 *
 * This class creates a WatchView object, archives it, and sends it to the 
 * Deskbar where it will be replicated. As soon as the replicant is sent, 
 * the application will terminate itself.
 * 
 * Because the application only runs less than a second, there is no need
 * for its title to appear inside the Deskbar. Therefore, the application
 * flags inside the resource file WebWatch.rsrc should be set to
 * B_BACKGROUND_APP.
 * 
 * @author Matthijs Hollemans <matthijs@weirdexperiments.com>
 * @version 1.0 (Saturday, 14 August 1999)
 */
class WatchApp : public BApplication 
{
public:
	// Constant Definitions ==================================================

	// Type Definitions ======================================================

	// Attribute Definitions =================================================

	// Member Function Definitions ===========================================

	/** Constructor. */
	WatchApp(void);

	/** Automatically generated copy constructor. */
	// WatchApp(const WatchApp& old);

	/** Automatically generated destructor. */
	// virtual ~WatchApp();

	/** Automatically generated assignment operator. */
	// WatchApp& operator=(WatchApp& right);

protected:
	// Constant Definitions ==================================================

	// Type Definitions ======================================================

	// Attribute Definitions =================================================

	// Member Function Definitions ===========================================

private:
	// Constant Definitions ==================================================

	// Type Definitions ======================================================

	// Attribute Definitions =================================================

	// Member Function Definitions ===========================================
};

// ***************************************************************************
// Global Variable Declarations
// ***************************************************************************

// ***************************************************************************
// Inline Function Definitions
// ***************************************************************************

// ***************************************************************************
// Helper Function Declarations
// ***************************************************************************

// ***************************************************************************
// Global Function Declarations
// ***************************************************************************

#endif // WEBWATCH_WATCHAPP_H
